	Rem -- global vars
	Dim parsed_email
		
    Rem -- This script will illustrate how to extract and process the text
    Rem -- of the printed output.
     
    Sub OnConfigLoaded()
		Rem -- MsgBox "OnConfigLoaded"
		
        Rem -- Modify the configuration to extract text from the printer
        Rem -- output.
        Context("Config")("extracttext") = "yes"
    End Sub
	 
    Sub OnPreprocessText()
		
		Rem -- MsgBox "ProcessText"
		
		Const ForReading = 1
		Dim fn, f, fso
		Dim l, a, c, z
		
        Rem -- Get the name of the text file from the context object
        fn = Context("TextFileName")
		
		parsed_email = "-"
	
        Rem -- Parse Text from PDF line by line and find the E-Mail: part!
        Set fso = CreateObject("Scripting.FilesystemObject")
        Set f = fso.OpenTextFile(fn, ForReading)
        While Not f.AtEndOfStream
			Rem -- We read line-by-line from the text that is printed to a new pdf file
            l = trim(f.ReadLine())

			Rem -- We're looking for the E-Mail:  ... line here.
			a = Mid(l,1,7)
			If a = "E-Mail:" Then
				c = Split(l)
				for each z in c
					If z <> "E-Mail:" Then
						Rem -- We split the line by space and get as part of them the email!
						Rem -- We fill the global variable "parsed_email" with them.
						parsed_email = z
					End If		
				Next	
			End If
        Wend
        f.Close
		
		Rem -- Clean up
        Set fso = Nothing
		
    End Sub

	Sub OnMacrosApplied
		Rem -- MsgBox parsed_email

        Rem -- Make sure the configuration isn't reloaded because of an option set selection.
        Context("Config")("rememberlastoptionset") = "no"  

		Rem -- We don't like to open/show the generated pdf here after mail sending...
		Context("Config")("showpdf") = "no"
		
	End Sub
	
	Sub OnAfterPrint()
		
		Rem -- After the pdf is successfull printed and generated, we send them via SMTP to
		Rem -- the recipient that we have parsed before...
        Context("Config")("email") = "yes"
		Context("Config")("emailclienttype") = "smtp"
				
		Rem -- send email to the mail address that was parsed from the pdf text!
		Context("Config")("emailfrom") = "FROM@YOURSERVER.COM"
		Context("Config")("emailto") = parsed_email
		Context("Config")("emailsubject") = "Your Invoice!"
		
		Rem -- we would like html as body text to format it.
		Context("Config")("emailbodytype") = "html"
		Context("Config")("emailbody") = "Attached you will find your invoice as PDF!<br><b>Regards from XYZ Company!</b>"
		
		Rem -- Send per SMTP Server
		Context("Config")("emailserver") = "SMTP.YOURSERVER.COM"
		
		Rem -- We use port 465 for SSL
		Context("Config")("emailport") = "465" 
		Context("Config")("emailusessl") = "yes"
				
		Rem -- Login Data for your SMTP Server
		Context("Config")("emailuser") = "YOUR_SMTP_USERNAME"
		Context("Config")("emailpassword") = "YOUR_SMTP_PASSWORD"
		
		MsgBox "The invoice should have been sent by mail, now!"
	
	End Sub